.cart-grid {
  display: grid;
  gap: 0;
  grid-template-columns: 1fr 430px; }
  @media (max-width: 1699px) {
    .cart-grid {
      grid-template-columns: 1fr 364px; } }
  @media (max-width: 1559px) {
    .cart-grid {
      grid-template-columns: 1fr 340px; } }
  @media (max-width: 1249px) {
    .cart-grid {
      display: flex;
      flex-direction: column;
      gap: 92px; } }
  .cart-grid .page-header-section {
    margin: 0; }
  @media (min-width: 1560px) {
    .cart-grid__item:first-child {
      position: relative; }
      .cart-grid__item:first-child:before {
        position: absolute;
        top: 0;
        bottom: -160px;
        right: 0;
        width: 1px;
        height: calc(100% + 160px);
        content: '';
        background-color: #c9cbd4; } }

.cart-top-control {
  display: flex;
  border-top: 1px solid #c9cbd4;
  border-bottom: 1px solid #c9cbd4; }
  @media (max-width: 767px) {
    .cart-top-control {
      border: 1px solid #c9cbd4; } }

.cart-print,
.cart-remove {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 17px;
  transition: opacity .3s ease;
  font-weight: 700; }
  @media (min-width: 1024px) {
    .cart-print,
    .cart-remove {
      cursor: pointer; }
      .cart-print:hover,
      .cart-remove:hover {
        opacity: .6; } }
  @media (max-width: 575px) {
    .cart-print,
    .cart-remove {
      padding: 8px; } }

.doc-item--print {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  color: #ff6b00;
  fill: #ff6b00; }
  @media (max-width: 575px) {
    .doc-item--print span {
      display: none; } }

@media (max-width: 575px) {
  .cart-print {
    width: 30%; } }

.cart-remove {
  border-left: 1px solid #c9cbd4; }
  @media (max-width: 575px) {
    .cart-remove {
      width: 70%; } }

.cart-remove .btn {
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: none;
  color: #898b95;
  fill: #898b95; }
  @media (max-width: 575px) {
    .cart-remove .btn {
      padding: 0; } }

.cart-form {
  box-sizing: border-box;
  padding-top: 150px; }
  @media (max-width: 1559px) {
    .cart-form {
      padding-top: 100px; } }
  .cart-form__mod {
    display: grid;
    align-items: center;
    margin-bottom: 40px;
    padding-right: 55px;
    gap: 45px;
    grid-template-columns: 1fr auto auto; }
    @media (max-width: 1559px) {
      .cart-form__mod {
        margin-bottom: 20px;
        padding-right: 30px; } }
    @media (max-width: 1099px) {
      .cart-form__mod {
        padding-right: 14px; } }
    @media (max-width: 767px) {
      .cart-form__mod {
        align-items: flex-start;
        padding-right: 0;
        gap: 20px;
        grid-template-columns: 1fr 1fr;
        grid-auto-flow: row;
        grid-template-rows: auto auto; } }
    .cart-form__mod .page-header-section {
      max-width: 100%; }
      @media (max-width: 768px) {
        .cart-form__mod .page-header-section {
          grid-column: span 2; } }
    .cart-form__mod .form-group {
      width: auto; }
      @media (max-width: 767px) {
        .cart-form__mod .form-group {
          grid-column: span 1; } }
  .cart-form__title {
    margin-bottom: 80px; }
  .cart-form__header {
    display: flex;
    flex-direction: column; }
  .cart-form__subtitle {
    margin-bottom: 28px;
    font-weight: 700; }
    @media (max-width: 575px) {
      .cart-form__subtitle {
        margin-bottom: 20px; } }
  .cart-form__block {
    margin-bottom: 80px;
    padding: 0 55px 0 53px; }
    .cart-form__block-bg {
      padding: 24px 20px;
      border: 1px solid #e4e4e4; }
      @media (max-width: 1099px) {
        .cart-form__block-bg {
          padding: 8px; } }
    @media (max-width: 1559px) {
      .cart-form__block {
        margin-bottom: 50px;
        padding: 0 30px 0 32px; } }
    @media (max-width: 1099px) {
      .cart-form__block {
        margin-bottom: 20px;
        padding: 0 14px; } }
    @media (max-width: 767px) {
      .cart-form__block {
        padding: 0; } }
    .cart-form__block:last-child:not([data-delivery-content-id]) {
      margin-bottom: 0px;
      padding-bottom: 0px;
      border-bottom: none; }
    @media (max-width: 1099px) {
      .cart-form__block.shadow {
        position: relative;
        z-index: 3;
        filter: drop-shadow(0px 4px 15px rgba(0, 0, 0, 0.15)); } }
  .cart-form__row {
    display: flex;
    flex-wrap: wrap;
    margin: -21px -25px; }
    @media (max-width: 1699px) {
      .cart-form__row {
        margin: -11px -10px; } }
    @media (max-width: 575px) {
      .cart-form__row {
        flex-direction: column;
        margin-right: 0;
        margin-left: 0; } }
  .cart-form__col {
    width: 33.33%;
    padding: 21px 25px; }
    @media (max-width: 1699px) {
      .cart-form__col {
        padding: 11px 10px; } }
    @media (max-width: 575px) {
      .cart-form__col {
        width: 100%;
        padding: 11px 0px; } }
  .cart-form__attention {
    display: flex;
    align-items: center;
    margin-bottom: 28px; }
    .cart-form__attention .icon {
      fill: #FF6B00; }
    .cart-form__attention span {
      margin-left: 8px;
      font-size: 14px; }
  .cart-form__descr {
    margin-top: 30px; }
  @media (max-width: 1099px) {
    .cart-form__select-mobile {
      position: relative;
      height: 40px;
      padding-top: 40px;
      border: 1px solid #e4e4e4; }
      .cart-form__select-mobile .cart-form__col {
        padding: 0; }
      .cart-form__select-mobile .cart-form__row {
        max-height: 0px;
        overflow: hidden;
        flex-wrap: nowrap;
        margin-right: -1px;
        margin-left: -1px;
        border: 1px solid #e4e4e4;
        border-top: transparent; }
        .cart-form__select-mobile .cart-form__row.active {
          max-height: none;
          padding-top: 15px; } }
  .cart-form__select-mobile-trigger {
    display: none;
    transition: all .3s ease;
    transform: rotate(90deg); }
    .cart-form__select-mobile-trigger.active {
      transform: rotate(-90deg); }
    @media (max-width: 1099px) {
      .cart-form__select-mobile-trigger {
        position: absolute;
        z-index: 11;
        top: calc(50% - 6px);
        right: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        pointer-events: none; }
        .cart-form__select-mobile-trigger .icon {
          fill: #FF6B00; } }
  .cart-form .form-control-label {
    color: #898b95; }
    @media (max-width: 767px) {
      .cart-form .form-control-label {
        font-size: 12px; } }
  .cart-form .form-control--textarea {
    height: 165px; }

.cart-form-delivery-edit__types {
  display: flex;
  gap: 0; }
  @media (max-width: 1099px) {
    .cart-form-delivery-edit__types {
      flex-direction: column; } }

.cart-form-delivery-edit__grid-wrap {
  display: grid;
  gap: 20px; }
  @media (max-width: 1099px) {
    .cart-form-delivery-edit__grid-wrap {
      gap: 20px; } }

.cart-form-delivery-edit__grid {
  display: flex;
  flex-wrap: wrap;
  gap: 30px; }
  .cart-form-delivery-edit__grid .form-group {
    width: calc((100% / 3) - 20px); }
    @media (max-width: 767px) {
      .cart-form-delivery-edit__grid .form-group {
        width: calc((100% / 3) - 14px); } }
    @media (max-width: 575px) {
      .cart-form-delivery-edit__grid .form-group {
        width: 100%; } }
  .cart-form-delivery-edit__grid .form-group--small {
    width: calc((100% / 4) - 23px); }
    @media (max-width: 767px) {
      .cart-form-delivery-edit__grid .form-group--small {
        width: calc((100% / 4) - 15px); } }
    @media (max-width: 575px) {
      .cart-form-delivery-edit__grid .form-group--small {
        width: 100%; } }
  @media (max-width: 1099px) {
    .cart-form-delivery-edit__grid {
      gap: 20px; } }

.cart-form-delivery-edit__title {
  display: flex;
  align-items: flex-end;
  gap: 6px; }

.cart-form-delivery-edit__header {
  margin-bottom: 40px; }
  @media (max-width: 575px) {
    .cart-form-delivery-edit__header {
      margin-bottom: 20px; } }

.cart-form-delivery-edit .form-group--cart {
  display: flex; }

.cart-form-delivery-edit .btn.btn--text-icon {
  gap: 6px; }
  .cart-form-delivery-edit .btn.btn--text-icon .icon {
    transform: rotate(90deg); }

.cart-checkout {
  padding: 48px 52px;
  background-color: #edeef2; }
  @media (max-width: 1699px) {
    .cart-checkout {
      padding: 36px 32px; } }
  @media (max-width: 575px) {
    .cart-checkout {
      padding: 16px 12px; } }
  .cart-checkout__body {
    margin-bottom: 28px;
    padding-bottom: 28px;
    border-bottom: 1px solid #c9cbd4; }
    @media (max-width: 1099px) {
      .cart-checkout__body {
        margin-bottom: 16px;
        padding-bottom: 16px; } }
  .cart-checkout__title {
    margin-bottom: 28px;
    font-weight: 700; }
    @media (max-width: 1099px) {
      .cart-checkout__title {
        margin-bottom: 16px; } }
  .cart-checkout__info {
    display: flex;
    align-items: center;
    justify-content: space-between; }
  .cart-checkout .btn {
    width: 100%;
    height: 62px; }
    @media (max-width: 575px) {
      .cart-checkout .btn {
        height: 48px; } }
  .cart-checkout__table {
    display: grid;
    margin-bottom: 20px;
    gap: 10px;
    grid-template-columns: 1fr auto; }
    @media (max-width: 1099px) {
      .cart-checkout__table {
        margin-bottom: 8px; } }
    .cart-checkout__table:last-child {
      margin-bottom: 0px; }
  .cart-checkout__prop {
    max-width: 180px;
    line-height: 1; }
  .cart-checkout__val {
    font-weight: 700;
    line-height: 1; }
  .cart-checkout__submit {
    margin-top: 24px; }
    @media (max-width: 1099px) {
      .cart-checkout__submit {
        margin-top: 20px; } }
  .cart-checkout__total {
    font-weight: 700; }
  .cart-checkout__total--red {
    color: #eb5757; }
  .cart-checkout .product-card__price-current {
    font-weight: 700; }
  .cart-checkout .cart-checkout__light .product-card__price-current {
    font-weight: 400; }

.cart-checkout-sticky {
  position: sticky;
  top: var(--headerStickyHeight); }

.radio-stock input {
  position: absolute;
  visibility: hidden;
  opacity: 0; }
  .radio-stock input:checked + label .radio-stock__item {
    display: grid;
    background-color: #fafafb; }
    @media (max-width: 1099px) {
      .radio-stock input:checked + label .radio-stock__item {
        flex-direction: column;
        background-color: transparent; } }
  .radio-stock input:checked + label .radio-stock__checkbox-selected {
    display: block; }
  .radio-stock input:checked + label .radio-stock__checkbox-unselected {
    display: none; }

.radio-stock label {
  display: block; }

.radio-stock__header {
  display: flex;
  justify-content: space-between;
  margin-bottom: 12px; }

.radio-stock__title {
  font-weight: 700; }

.radio-stock__subtitle {
  margin-bottom: 10px;
  font-weight: 700; }

.radio-stock__info {
  display: flex;
  align-items: flex-start;
  margin-bottom: 10px;
  gap: 17px;
  fill: #aeb6be; }

.radio-stock__item {
  padding: 20px 10px; }
  @media (max-width: 575px) {
    .radio-stock__item {
      padding-bottom: 50px; } }
  @media (min-width: 1024px) {
    .radio-stock__item {
      cursor: pointer; }
      .radio-stock__item:hover {
        background-color: #fafafb; } }

.radio-stock__title {
  display: flex;
  align-items: center;
  font-size: 18px;
  font-weight: 700; }
  @media (max-width: 1099px) {
    .radio-stock__title {
      margin-bottom: 18px;
      font-size: 16px; } }
  .radio-stock__title .icon {
    margin-right: 10px;
    fill: #FF6B00; }

.radio-stock__checkbox span {
  display: flex;
  align-items: center; }

.radio-stock__checkbox .btn {
  height: 24px;
  font-size: 14px;
  font-weight: 400; }
  @media (max-width: 575px) {
    .radio-stock__checkbox .btn {
      height: 36px; } }

@media (max-width: 575px) {
  .radio-stock__checkbox {
    position: absolute;
    bottom: 0;
    left: 0; } }

.radio-stock__checkbox-selected {
  display: none; }

.radio-stock__right {
  width: 50%; }
  @media (max-width: 1099px) {
    .radio-stock__right {
      width: 100%; } }

[data-delivery-content-id] {
  display: none; }
  [data-delivery-content-id].active {
    display: block; }

.cart-empty {
  max-width: 996px;
  margin: auto;
  margin-top: 40px;
  padding: 35px;
  padding-bottom: 12px;
  text-align: center;
  border: 1px solid #e4e4e4; }
  @media (max-width: 1099px) {
    .cart-empty {
      padding: 18px;
      padding-bottom: 12px; } }
  .cart-empty__title {
    margin-bottom: 16px;
    font-weight: 700; }
  .cart-empty__descr {
    margin-bottom: 65px; }
    @media (max-width: 1099px) {
      .cart-empty__descr {
        margin-bottom: 24px;
        font-size: 12px; } }
  .cart-empty__link {
    max-width: 80%;
    margin: auto;
    padding-top: 16px;
    border-top: 1px solid #e4e4e4; }

.cart-products__header {
  display: none; }

.cart-products__item {
  border-bottom: 1px solid #c9cbd4; }
  @media (max-width: 1100px) {
    .cart-products__item {
      padding: 0; } }
  @media (max-width: 768px) {
    .cart-products__item {
      border-right: 1px solid #c9cbd4;
      border-left: 1px solid #c9cbd4; }
      .cart-products__item:last-child .search-results-card {
        border-bottom: none; } }

.cart-products .d-show-mobile {
  display: none; }
  @media (max-width: 768px) {
    .cart-products .d-show-mobile {
      display: block; } }

.cart-success {
  grid-template-columns: 1fr 530px; }
  @media (max-width: 1559px) {
    .cart-success {
      grid-template-columns: 1fr 450px; } }
  @media (max-width: 1249px) {
    .cart-success {
      display: flex;
      flex-direction: column-reverse;
      gap: 40px; } }
  .cart-success .cart-print {
    max-width: fit-content;
    padding: 0; }
  @media (max-width: 1249px) {
    .cart-success .manager__warning {
      margin-bottom: 40px; } }
  @media (min-width: 1250px) {
    .cart-success .cart-grid__item:first-child {
      position: relative; }
      .cart-success .cart-grid__item:first-child:before {
        position: absolute;
        top: 0;
        bottom: -160px;
        right: 0;
        width: 1px;
        height: calc(100% + 160px);
        content: '';
        background-color: #c9cbd4; } }
  .cart-success__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 28px 50px;
    border-bottom: 1px solid #c9cbd4; }
    @media (max-width: 1099px) {
      .cart-success__header {
        padding: 24px; } }
    @media (max-width: 575px) {
      .cart-success__header {
        align-items: flex-start;
        flex-direction: column;
        padding: 0; } }
    @media (max-width: 575px) {
      .cart-success__header .cart-print {
        width: 100%;
        max-width: 100%;
        padding: 8px;
        border: 1px solid #c9cbd4;
        border-bottom: none; } }
    .cart-success__header .doc-item--print span {
      display: block; }
  .cart-success__title {
    font-weight: 700; }
    @media (max-width: 575px) {
      .cart-success__title {
        padding: 16px 0; } }
  .cart-success .cart-checkout__body {
    margin-bottom: 28px;
    padding-bottom: 0;
    border-bottom: none; }
  .cart-success .cart-checkout__table {
    margin-bottom: 12px;
    gap: 16px;
    grid-template-columns: 150px auto; }
    @media (max-width: 575px) {
      .cart-success .cart-checkout__table {
        display: flex;
        flex-direction: column;
        margin-bottom: 8px;
        gap: 1px; } }
  .cart-success .cart-checkout__prop {
    color: #898b95;
    line-height: 1.3; }
  .cart-success .cart-checkout__val {
    line-height: 1.3; }

@media (max-width: 767px) {
  .cart-success-products {
    border-right: 1px solid #c9cbd4;
    border-left: 1px solid #c9cbd4; } }

.cart-success-products__item {
  position: relative;
  display: grid;
  padding: 40px 53px;
  gap: 40px;
  border-bottom: 1px solid #c9cbd4;
  grid-template-columns: 140px 1fr auto; }
  @media (max-width: 1559px) {
    .cart-success-products__item {
      padding: 24px;
      gap: 24px; } }
  @media (max-width: 1099px) {
    .cart-success-products__item {
      display: flex;
      flex-direction: column;
      padding: 12px;
      gap: 12px; } }

.cart-success-products__title {
  height: 78px;
  display: -webkit-box;
  overflow: hidden;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  font-size: 20px;
  font-weight: 700;
  -webkit-line-clamp: 3; }
  @media (max-width: 1699px) {
    .cart-success-products__title {
      height: 72px;
      font-size: 18px; } }
  @media (max-width: 1099px) {
    .cart-success-products__title {
      height: 63px;
      font-size: 16px; } }

.cart-success-products__img {
  max-width: 140px;
  max-height: 140px; }
  @media (max-width: 1099px) {
    .cart-success-products__img {
      position: absolute;
      top: 50%;
      left: 12px;
      max-width: 100px;
      max-height: 100px;
      transform: translateY(-50%); } }
  @media (max-width: 575px) {
    .cart-success-products__img {
      max-width: 80px;
      max-height: 80px; } }
  .cart-success-products__img img {
    max-width: 100%;
    max-height: 100%; }

@media (max-width: 1099px) {
  .cart-success-products__col, .cart-success-products__content {
    margin-left: 112px; } }

@media (max-width: 575px) {
  .cart-success-products__col, .cart-success-products__content {
    margin-left: 92px; } }

.cart-success-products__col {
  display: flex;
  align-items: center;
  gap: 40px; }
  @media (max-width: 575px) {
    .cart-success-products__col {
      gap: 20px; } }

.cart-success-products__content {
  display: flex;
  flex-direction: column;
  gap: 10px; }
  @media (max-width: 1099px) {
    .cart-success-products__content {
      gap: 8px; } }

.cart-success-products__quantity, .cart-success-products__code {
  color: #c9cbd4; }

.cart-success-products__price, .cart-success-products__total-price {
  font-size: 20px; }
  @media (max-width: 1099px) {
    .cart-success-products__price, .cart-success-products__total-price {
      font-size: 14px; } }

.cart-success-products__total-price {
  font-weight: 700; }

.manager__warning {
  padding: 28px;
  text-align: center;
  text-transform: uppercase;
  background: #fff0e5;
  font-size: 18px; }
  @media (max-width: 1559px) {
    .manager__warning {
      font-size: 16px; } }
  @media (max-width: 1099px) {
    .manager__warning {
      font-size: 14px; } }

.manager__message {
  margin-top: 16px;
  padding: 16px 53px;
  color: #898b95; }
  @media (max-width: 1559px) {
    .manager__message {
      padding: 0 32px; } }
  @media (max-width: 1099px) {
    .manager__message {
      padding: 0 14px; } }

.d-print-only .personal-history-detail__total {
  display: flex;
  flex-wrap: wrap;
  padding: 32px; }

.d-print-only .personal-history-detail__prop {
  width: 30%;
  padding-bottom: 10px; }

.d-print-only .personal-history-detail__val {
  width: 50%;
  padding-bottom: 10px; }
